ctucx.git: stagit

ctucx' stagit fork

commit 781beb4950b56cd39cb95fdba9eb8979f29283bc
parent 114899a22d975eca8406bb384a28539e5dea4cd0
Author: Hiltjo Posthuma <hiltjo@codemadness.org>
Date: Sat, 26 Dec 2015 20:46:33 +0100

add example script to make repo index and files per dir
1 file changed, 37 insertions(+), 0 deletions(-)
A
example.sh
|
37
+++++++++++++++++++++++++++++++++++++
diff --git a/example.sh b/example.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+# - Makes index for repositories in a single directory.
+# - Makes static pages for each repository directory.
+#
+# NOTE, things to do manually (once):
+# - copy style.css, logo.png and favicon.png manually, a style.css example
+#   is included.
+# - write clone url, for example "git://git.codemadness.org/dir" to the "url"
+#   file for each repo.
+#
+# Usage:
+# - mkdir -p htmldir && cd htmldir
+# - sh example.sh repo-dir
+
+set -e
+
+reposdir="/var/www/domains/git.codemadness.nl/home/src/"
+curdir=$(pwd)
+
+# make index.
+cd "${reposdir}"
+find . -maxdepth 1 -type d | grep -v "^.$" | sort | xargs urmoms-index > "${curdir}/index.html"
+
+# make files per repo.
+find . -maxdepth 1 -type d | grep -v "^.$" | sort | while read -r dir; do
+	cd "${reposdir}"
+	d=$(basename "${dir}")
+
+	printf "%s..." "${d}"
+	cd "${curdir}"
+	
+	test -d "${d}" || mkdir -p "${d}"
+	cd "${d}"
+	urmoms "${reposdir}${d}"
+
+	printf " done\n"
+done